Assignments Assignments

Classes | Macros | Typedefs | Functions
jcsample.cpp File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

## Classes
struct | my_downsampler

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_downsampler * | my_downsample_ptr

## Functions
typedef | JMETHOD (void, downsample1_ptr,(j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data))
| start_pass_downsample (j_compress_ptr cinfo)
| expand_right_edge (JSAMPARRAY image_data, int num_rows, JDIMENSION input_cols, JDIMENSION output_cols)
| sep_downsample (j_compress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION in_row_index, JSAMPIMAGE output_buf, JDIMENSION out_row_group_index)
| int_downsample (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data)
| fullsize_downsample (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data)
| h2v1_downsample (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data)
| h2v2_downsample (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data)
| jinit_downsampler (j_compress_ptr cinfo)

## Macro Definition Documentation

## ◆ JPEG_INTERNALS

#define JPEG_INTERNALS

## Typedef Documentation

## ◆ my_downsample_ptr

typedef my_downsampler* my_downsample_ptr

## Function Documentation

## ◆ expand_right_edge()

expand_right_edge | ( | JSAMPARRAY | image_data,
|  | int | num_rows,
|  | JDIMENSION | input_cols,
|  | JDIMENSION | output_cols )

## ◆ fullsize_downsample()

fullsize_downsample | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY | output_data )

## ◆ h2v1_downsample()

h2v1_downsample | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY | output_data )

## ◆ h2v2_downsample()

h2v2_downsample | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY | output_data )

## ◆ int_downsample()

int_downsample | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY | output_data )

## ◆ jinit_downsampler()

jinit_downsampler | ( | j_compress_ptr | cinfo | ) |

## ◆ JMETHOD()

typedef JMETHOD | ( | void | ,
|  | downsample1_ptr | ,
|  | (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data) | )

## ◆ sep_downsample()

sep_downsample | ( | j_compress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | in_row_index,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | out_row_group_index )

## ◆ start_pass_downsample()

start_pass_downsample | ( | j_compress_ptr | cinfo | ) |